## org.apache.mahout.math
Class VarLongWritable

    java.lang.Object
      org.apache.mahout.math.VarLongWritable

All Implemented Interfaces:
  Comparable<VarLongWritable>, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable<VarLongWritable>

Direct Known Subclasses:
  EntityPrefWritable

    public class VarLongWritable

extends Object
implements org.apache.hadoop.io.WritableComparable<VarLongWritable>

Constructor Summary
`VarLongWritable()`
`VarLongWritable(long value)`

Method Summary
`int` `compareTo(VarLongWritable other)`
`boolean` `equals(Object other)`
`long` `get()`
`int` `hashCode()`
`void` `readFields(DataInput in)`
`void` `set(long value)`
`String` `toString()`
`void` `write(DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VarLongWritable

    public VarLongWritable()

### VarLongWritable

    public VarLongWritable(long value)

Method Detail

### get

    public long get()

### set

    public void set(long value)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(VarLongWritable other)

  Specified by:
    `compareTo` in interface `Comparable<VarLongWritable>`

### write

    public void write(DataOutput out)
               throws IOException

  Specified by:
    `write` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Specified by:
    `readFields` in interface `org.apache.hadoop.io.Writable`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.